export interface IDOMPoint<T = number> {
    left: T;
    top: T;
}
export interface IPoint {
    x: number;
    y: number;
}
export interface ISize {
    width: number;
    height: number;
}
export interface IBounds extends IDOMPoint, ISize {
    right: number;
    bottom: number;
}
export interface IExBounds extends IBounds, IPoint {
    cx: number;
    cy: number;
}
export declare const bounds: (target: HTMLElement) => IExBounds;
export declare const offsetPosition: (e: HTMLElement) => IPoint;
export declare const offsetSize: (e: HTMLElement) => ISize;
export declare const offsetBounds: (e: HTMLElement) => IExBounds;
export declare const mouseCoordsToClient: (client: HTMLElement, evt: MouseEvent) => IPoint;
export declare const scrollbarDimensions: (element: HTMLElement) => ISize;
export declare const scrollbarVisibility: (element: HTMLElement) => IDOMPoint<boolean>;
export declare const scrollPercent: (element: HTMLElement) => IDOMPoint<number>;
